## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext Class Reference

`#include <StylesheetExecutionContext.hpp>`

Inheritance diagram for StylesheetExecutionContext:

[legend]
Collaboration diagram for StylesheetExecutionContext:

[legend]
List of all members.

## Public Types

- typedef std::ostream StreamType
- typedef size_t size_type
- typedef std::vector<TopLevelArg> ParamVectorType
- typedef XalanAutoPtr<XalanNumberFormat> XalanNumberFormatAutoPtr
- enum eDummy { eDefaultXMLIndentAmount = 0, eDefaultHTMLIndentAmount = 0 }
- enum eEscapeURLs { eEscapeURLsDefault, eEscapeURLsNo, eEscapeURLsYes }
    Enums to determine whether or not run-time escaping of URLs has been set. More...
- enum eOmitMETATag { eOmitMETATagDefault, eOmitMETATagNo, eOmitMETATagYes }
    Enums to determine whether or not run-time omission of the META tag has been set. More...
- enum eCaseOrder { eDefault, eLowerFirst, eUpperFirst }

## Public Methods

- StylesheetExecutionContext (XObjectFactory *theXObjectFactory=0)
- virtual ~StylesheetExecutionContext ()
- virtual void error (const XalanDOMString &msg, const ElemTemplateElement &styleNode, const XalanNode *sourceNode=0) const=0
    Report an error and throw an exception. More...
- virtual void error (const char *msg, const ElemTemplateElement &styleNode, const XalanNode *sourceNode=0) const=0
    Report an error and throw an exception. More...
- virtual void warn (const XalanDOMString &msg, const ElemTemplateElement &styleNode, const XalanNode *sourceNode=0) const=0
    Report a warning. More...
- virtual void warn (const char *msg, const ElemTemplateElement &styleNode, const XalanNode *sourceNode=0) const=0
    Report a warning. More...
- virtual void message (const XalanDOMString &msg, const ElemTemplateElement &styleNode, const XalanNode *sourceNode=0) const=0
    Report a message. More...
- virtual void message (const char *msg, const ElemTemplateElement &styleNode, const XalanNode *sourceNode=0) const=0
    Report a message. More...
- virtual bool getQuietConflictWarnings () const=0
    Determine whether conflicts should be reported. More...
- virtual bool getCopyTextNodesOnly () const=0
    If this function returns true, only text nodes can be copied to the result tree. More...
- virtual void setCopyTextNodesOnly (bool fValue)=0
    Set the flag that determines if only text nodes can be copied to the result tree. More...
- virtual XalanNode* getRootDocument () const=0
    Retrieve root document for stylesheet. More...
- virtual void setRootDocument (XalanNode *theDocument)=0
    Set root document for stylesheet. More...
- virtual XalanDocument* createDocument () const=0
    Create a new empty document. More...
- virtual void setStylesheetRoot (const StylesheetRoot *theStylesheet)=0
    Set root stylesheet for stylesheet. More...
- virtual const XalanQName* getCurrentMode () const=0
    Retrieve the current mode. More...
- virtual void setCurrentMode (const XalanQName *theMode)=0
    Set the current mode. More...
- virtual const ElemTemplate* getCurrentTemplate () const=0
    Retrieve the current template. More...
- virtual void setCurrentTemplate (const ElemTemplate *theTemplate)=0
    Set the current template. More...
- virtual bool doDiagnosticsOutput () const=0
    Whether diagnostic output is to be generated. More...
- virtual void diag (const XalanDOMString &theString)=0
    Print a diagnostics string to the output device. More...
- virtual void pushTime (const void *theKey)=0
    Mark the time, so that displayDuration can later display the elapsed clock ticks. More...
- virtual void displayDuration (const XalanDOMString &theMessage, const void *theKey)=0
    Display the duration since pushTime was called. More...
- virtual bool isElementPending () const=0
    See if there is an element pending. More...
- virtual void replacePendingAttribute (const XalanDOMChar *theName, const XalanDOMChar *theNewType, const XalanDOMChar *theNewValue)=0
    Replace the contents of a pending attribute. More...
- virtual FormatterListener* getFormatterListener () const=0
    Get the current formatter listener. More...
- virtual void setFormatterListener (FormatterListener *flistener)=0
    Set the current formatter listener. More...
- virtual void pushOutputContext (FormatterListener *flistener=0)=0
- virtual void popOutputContext ()=0
- virtual void addResultAttribute (const XalanDOMString &aname, const XalanDOMString &value)=0
    Add a result attribute to the list of pending attributes. More...
- virtual void addResultAttribute (const XalanDOMString &aname, const XalanDOMChar *value)=0
    Add a result attribute to the list of pending attributes. More...
- virtual void copyNamespaceAttributes (const XalanNode &src)=0
    Add namespace attributes for a node to the list of pending attributes. More...
- virtual const XalanDOMString* getResultPrefixForNamespace (const XalanDOMString &theNamespace) const=0
    Retrieve the result prefix corresponding to a namespace. More...
- virtual const XalanDOMString* getResultNamespaceForPrefix (const XalanDOMString &thePrefix) const=0
    Retrieve the result namespace corresponding to a prefix. More...
- virtual bool isPendingResultPrefix (const XalanDOMString &thePrefix)=0
    Determine whether or not a prefix is in use on the pending element or the pending attributes. More...
- virtual XalanDOMString getUniqueNamespaceValue () const=0
    Generate a random namespace prefix guaranteed to be unique. More...
- virtual void getUniqueNamespaceValue (XalanDOMString &theValue) const=0
    Generate a random namespace prefix guaranteed to be unique. More...
- virtual int getIndent () const=0
    Retrieve the current number of spaces to indent. More...
- virtual void setIndent (int indentAmount)=0
    Set the current number of spaces to indent. More...
- virtual const XPath* createMatchPattern (const XalanDOMString &str, const PrefixResolver &resolver)=0
    Create and initialize an xpath and return it. More...
- virtual void returnXPath (const XPath *xpath)=0
    Return the XPath created by createMatchPattern(). More...
- virtual void pushTopLevelVariables (const ParamVectorType &topLevelParams)=0
    Set a list of top level variables in the specified execution context stylesheet. More...
- virtual const XObjectPtr createVariable (const XPath &xpath, XalanNode *contextNode, const PrefixResolver &resolver)=0
    Execute the supplied XPath and and create a variable in the current context. More...
- virtual const XObjectPtr createVariable (const ElemTemplateElement &templateChild, XalanNode *sourceNode)=0
    Create an ResultTreeFragment as a variable and push it on to the stack with the current context. More...
- virtual void pushVariable (const XalanQName &name, const ElemTemplateElement *element, const XalanDOMString &str, XalanNode *contextNode, const PrefixResolver &resolver)=0
    Execute an XPath using the provided expression, and push the result as a variable in the context of the supplied element. More...
- virtual void pushVariable (const XalanQName &name, const ElemTemplateElement *element, const XPath &xpath, XalanNode *contextNode, const PrefixResolver &resolver)=0
    Execute the supplied XPath and push the result as a variable in the current context. More...
- virtual void pushVariable (const XalanQName &name, const ElemTemplateElement *element, const ElemTemplateElement &templateChild, XalanNode *sourceNode)=0
    Create an ResultTreeFragment as a variable and push it on to the stack with the current context. More...
- virtual void pushVariable (const XalanQName &name, const XObjectPtr val, const ElemTemplateElement *element)=0
    Push a named variable onto the variables stack. More...
- virtual void pushVariable (const XalanQName &name, const ElemVariable *var, const ElemTemplateElement *element)=0
    Push a named variable onto the processor variable stack The variable will be evaluated when first referenced. More...
- virtual void pushContextMarker ()=0
    Push a context marker onto the stack to let us know when to stop searching for a var. More...
- virtual void popContextMarker ()=0
    Pop the current context from the current context stack. More...
- virtual void resolveTopLevelParams ()=0
    Resolve the params that were pushed by the caller. More...
- virtual void clearTopLevelParams ()=0
    Reset the vector of top level parameters. More...
- virtual void pushParams (const ElemTemplateElement &xslCallTemplateElement, XalanNode *sourceNode, const ElemTemplateElement *targetTemplate)=0
    Given a template, search for the arguments and push them on the stack. More...
- virtual const XObjectPtr getParamVariable (const XalanQName &theName)=0
    Given a name, return a string representing the value, but don't look in the global space. More...
- virtual void pushElementFrame (const ElemTemplateElement *elem)=0
    Push a frame marker for an element. More...
- virtual void popElementFrame (const ElemTemplateElement *elem)=0
    Pop a frame marker for an element. More...
- virtual int getGlobalStackFrameIndex () const=0
    Get the top of the global stack frame. More...
- virtual int getCurrentStackFrameIndex () const=0
    Get the top of the stack frame from where a search for a variable or param should take place. More...
- virtual void setCurrentStackFrameIndex (int currentStackFrameIndex=-1)=0
    Set the top of the stack frame from where a search for a variable or param should take place. More...
- virtual void startDocument ()=0
    Receive notification of the beginning of a document. More...
- virtual void endDocument ()=0
    Receive notification of the end of a document. More...
- virtual void startElement (const XalanDOMChar *name)=0
    Receive notification of the beginning of an element. More...
- virtual void endElement (const XalanDOMChar *name)=0
    Receive notification of the end of an element. More...
- virtual void characters (const XalanDOMChar *ch, XalanDOMString::size_type start, XalanDOMString::size_type length)=0
    Receive notification of character data. More...
- virtual void charactersRaw (const XalanDOMChar *ch, XalanDOMString::size_type start, XalanDOMString::size_type length)=0
    Receive notification of character data. More...
- virtual void comment (const XalanDOMChar *data)=0
    Called when a Comment is to be constructed. More...
- virtual void processingInstruction (const XalanDOMChar *target, const XalanDOMChar *data)=0
    Receive notification of a processing instruction. More...
- virtual void flushPending ()=0
    Flush the pending element. More...
- virtual void cloneToResultTree (const XalanNode &node, const ElemTemplateElement *styleNode)=0
    Clone a node to the result tree. More...
- virtual void cloneToResultTree (const XalanNode &node, XalanNode::NodeType nodeType, bool isLiteral, bool overrideStrip, bool shouldCloneAttributes, const ElemTemplateElement *styleNode)=0
    Clone a node to the result tree. More...
- virtual const XObjectPtr createXResultTreeFrag (const ElemTemplateElement &templateChild, XalanNode *sourceNode)=0
    Create an XObject that represents a Result tree fragment. More...
- virtual void outputToResultTree (const XObject &xobj, const ElemTemplateElement *styleNode)=0
    Output an object to the result tree by doing the right conversions. More...
- virtual void outputResultTreeFragment (const XObject &theTree, const ElemTemplateElement *styleNode)=0
    Given a result tree fragment, walk the tree and output it to the result stream. More...
- virtual const XalanDOMString& getXSLNameSpaceURL () const=0
    Determine the full XSLT Namespace URI. More...
- virtual const XalanDOMString& getXalanXSLNameSpaceURL () const=0
    Special Xalan namespace for built-in extensions. More...
- virtual bool findOnElementRecursionStack (const ElemTemplateElement *theElement) const=0
    Determine if an element is on the recursion stack. More...
- virtual void pushOnElementRecursionStack (const ElemTemplateElement *theElement)=0
    Push an element onto the recursion stack. More...
- virtual const ElemTemplateElement* popElementRecursionStack ()=0
    Pop an element off the recursion stack. More...
- virtual bool returnXResultTreeFrag (XResultTreeFrag *theXResultTreeFrag)=0
    This is a hook that XResultTreeFrag instances (which are reference counted), can notify the owning StylesheetExecutionContext instance when they are dereferenced and can be cleaned up. More...
- virtual eEscapeURLs getEscapeURLs () const=0
    Get the value for run-time escaping of URLs. More...
- virtual void setEscapeURLs (eEscapeURLs value)=0
    Set the value for run-time escaping of URLs. More...
- virtual eOmitMETATag getOmitMETATag () const=0
    Get the value for run-time omission of URLs. More...
- virtual void setOmitMETATag (eOmitMETATag value)=0
    Get the value for run-time omission of URLs. More...
- virtual FormatterToXML* createFormatterToXML (Writer &writer, const XalanDOMString &version=XalanDOMString(), bool doIndent=false, int indent=eDefaultXMLIndentAmount, const XalanDOMString &encoding=XalanDOMString(), const XalanDOMString &mediaType=XalanDOMString(), const XalanDOMString &doctypeSystem=XalanDOMString(), const XalanDOMString &doctypePublic=XalanDOMString(), bool xmlDecl=true, const XalanDOMString &standalone=XalanDOMString())=0
    Create a new FormatterToXML instance. More...
- virtual FormatterToHTML* createFormatterToHTML (Writer &writer, const XalanDOMString &encoding=XalanDOMString(), const XalanDOMString &mediaType=XalanDOMString(), const XalanDOMString &doctypeSystem=XalanDOMString(), const XalanDOMString &doctypePublic=XalanDOMString(), bool doIndent=true, int indent=eDefaultHTMLIndentAmount, bool escapeURLs=true, bool omitMetaTag=false)=0
    Create a new FormatterToHTML instance. More...
- virtual FormatterToDOM* createFormatterToDOM (XalanDocument *doc, XalanDocumentFragment *docFrag, XalanElement *currentElement)=0
    Construct a FormatterToDOM instance. More...
- virtual FormatterToDOM* createFormatterToDOM (XalanDocument *doc, XalanElement *elem)=0
    Construct a FormatterToDOM instance. More...
- virtual FormatterToText* createFormatterToText (Writer &writer, const XalanDOMString &encoding)=0
    FormatterToText instance constructor. More...
- virtual FormatterToText* borrowFormatterToText ()=0
    Borrow a cached FormatterToText instance. More...
- virtual bool returnFormatterToText (FormatterToText *theFormatter)=0
    Return a previously borrowed FormatterToText instance. More...
- virtual NodeSorter* borrowNodeSorter ()=0
    Borrow a cached NodeSorter instance. More...
- virtual bool returnNodeSorter (NodeSorter *theSorter)=0
    Return a previously borrowed NodeSorter instance. More...
- virtual XalanNumberFormatAutoPtr createXalanNumberFormat ()=0
    Create a new XalanNumberFormat instance. More...
- virtual size_type getTraceListeners () const=0
    Determine the number of trace listeners. More...
- virtual void fireGenerateEvent (const GenerateEvent &ge)=0
    Fire a generate event. More...
- virtual void fireTraceEvent (const TracerEvent &te)=0
    Fire a trace event. More...
- virtual void fireSelectEvent (const SelectionEvent &se)=0
    Fire a selection event. More...
- virtual bool getTraceSelects () const=0
    If this is set to true, simple traces of template calls are made. More...
- virtual void traceSelect (const ElemTemplateElement &theStylesheetElement, const NodeRefListBase &nl, const XPath *xpath)=0
    Compose a diagnostic trace of the current selection. More...
- virtual int collationCompare (const XalanDOMString &theLHS, const XalanDOMString &theRHS, eCaseOrder theCaseOrder=eDefault)=0
    Compare two strings using the collation of the current locale. More...
- virtual int collationCompare (const XalanDOMString &theLHS, const XalanDOMString &theRHS, const XalanDOMString &theLocale, eCaseOrder theCaseOrder=eDefault)=0
    Compare two strings using the collation of the supplied locale. More...
- virtual int collationCompare (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, eCaseOrder theCaseOrder=eDefault)=0
    Compare two strings using the collation of the current locale. More...
- virtual int collationCompare (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, eCaseOrder theCaseOrder=eDefault)=0
    Compare two strings using the collation of the current locale. More...
- virtual bool getInConstruction (const KeyDeclaration &keyDeclaration) const=0
    Determine if a KeyDeclaration is being constructed. More...
- virtual void beginConstruction (const KeyDeclaration &keyDeclaration)=0
    Add KeyDeclaration to construction list. More...
- virtual void endConstruction (const KeyDeclaration &keyDeclaration)=0
    Remove KeyDeclaration from construction list. More...
- virtual PrintWriter* createPrintWriter (XalanOutputStream *theTextOutputStream)=0
    Create a PrintWriter for the provided stream. More...
- virtual PrintWriter* createPrintWriter (const XalanDOMString &theFileName, const XalanDOMString &theEncoding)=0
    Create a PrintWriter. More...
- virtual PrintWriter* createPrintWriter (StreamType &theStream)=0
    Create a PrintWriter using the provided ostream instance. More...
- virtual CountersTable& getCountersTable ()=0
    Get the counters table, which is a table of cached results that is used by ElemNumber. More...
- virtual void characters (const XalanNode &node)=0
    Send character data from a node to the result tree. More...
- virtual void characters (const XObjectPtr &xobject)=0
    Send character data from an XObject to the result tree. More...
- virtual void charactersRaw (const XalanNode &node)=0
    Send raw character data from a node to the result tree. More...
- virtual void charactersRaw (const XObjectPtr &xobject)=0
    Send raw character data from an XObject to the result tree. More...
- virtual void reset ()=0
    Reset the instance. More...
- virtual XalanNode* getCurrentNode () const=0
    Retrieve the node currently being executed. More...
- virtual void setCurrentNode (XalanNode *theCurrentNode)=0
    Change the node currently being executed. More...
- virtual bool isNodeAfter (const XalanNode &node1, const XalanNode &node2) const=0
    Determine if a node is after another node, in document order. More...
- virtual const NodeRefListBase& getContextNodeList () const=0
    Retrieve node list for current context. More...
- virtual void setContextNodeList (const NodeRefListBase &theList)=0
    Set node list for current context. More...
- virtual size_type getContextNodeListLength () const=0
- virtual size_type getContextNodeListPosition (const XalanNode &contextNode) const=0
- virtual bool elementAvailable (const XalanQName &theQName) const=0
    Determine if an external element is available. More...
- virtual bool elementAvailable (const XalanDOMString &theName, const LocatorType *locator) const=0
    Determine if an external element is available by resolving a string to a QName. More...
- virtual bool functionAvailable (const XalanQName &theQName) const=0
    Determine if a function is available. More...
- virtual bool functionAvailable (const XalanDOMString &theName, const LocatorType *locator) const=0
    Determine if a function is available. More...
- virtual const XObjectPtr extFunction (const XalanDOMString &theNamespace, const XalanDOMString &functionName, XalanNode *context, const XObjectArgVectorType &argVec, const LocatorType *locator)=0
    Handle an extension function. More...
- virtual XalanDocument* parseXML (const XalanDOMString &urlString, const XalanDOMString &base) const=0
    Provides support for XML parsing service. More...
- virtual MutableNodeRefList* borrowMutableNodeRefList ()=0
    Borrow a cached MutableNodeRefList instance. More...
- virtual bool returnMutableNodeRefList (MutableNodeRefList *theList)=0
    Return a previously borrowed MutableNodeRefList instance. More...
- virtual MutableNodeRefList* createMutableNodeRefList () const=0
    Create a MutableNodeRefList with the appropriate context. More...
- virtual XalanDOMString& getCachedString ()=0
    Get a cached string for temporary use. More...
- virtual bool releaseCachedString (XalanDOMString &theString)=0
    Return a cached string. More...
- virtual void getNodeSetByKey (XalanDocument *doc, const XalanQName &qname, const XalanDOMString &ref, MutableNodeRefList &nodelist)=0
    Given a valid element key, return the corresponding node list. More...
- virtual void getNodeSetByKey (XalanDocument *doc, const XalanDOMString &name, const XalanDOMString &ref, const LocatorType *locator, MutableNodeRefList &nodelist)=0
    Given a valid element key, return the corresponding node list. More...
- virtual const XObjectPtr getVariable (const XalanQName &name, const LocatorType *locator=0)=0
    Given a name, locate a variable in the current context, and return a pointer to the object. More...
- virtual const PrefixResolver* getPrefixResolver () const=0
    Retrieve the resolver for namespaces. More...
- virtual void setPrefixResolver (const PrefixResolver *thePrefixResolver)=0
    Change the resolver for namespaces. More...
- virtual const XalanDOMString* getNamespaceForPrefix (const XalanDOMString &prefix) const=0
    Retrieve the URI corresponding to a namespace prefix. More...
- virtual XalanDOMString findURIFromDoc (const XalanDocument *owner) const=0
    Given a DOM Document, tell what URI was used to parse it. More...
- virtual const XalanDOMString& getUnparsedEntityURI (const XalanDOMString &theName, const XalanDocument &theDocument) const=0
    The getUnparsedEntityURI function returns the URI of the unparsed entity with the specified name in the same document as the context node (see [3.3 Unparsed Entities]). More...
- virtual bool shouldStripSourceNode (const XalanNode &node)=0
    Tells, through the combination of the default-space attribute on xsl:stylesheet, xsl:strip-space, xsl:preserve-space, and the xml:space attribute, whether or not extra whitespace should be stripped from the node. More...
- virtual bool getThrowFoundIndex () const=0
    Tells if FoundIndex should be thrown if index is found. More...
- virtual void setThrowFoundIndex (bool fThrow)=0
    Changes whether FoundIndex should be thrown if index is found. More...
- virtual XalanDocument* getSourceDocument (const XalanDOMString &theURI) const=0
- virtual void setSourceDocument (const XalanDOMString &theURI, XalanDocument *theDocument)=0
    Associate a document with a given URI. More...
- virtual const XalanDecimalFormatSymbols* getDecimalFormatSymbols (const XalanQName &qname)=0
    Retrieve the XalanDecimalFormatSymbols instance associated with the name. More...
- virtual void error (const XalanDOMString &msg, const XalanNode *sourceNode, const LocatorType *locator) const=0
    Report an error and throw an exception. More...
- virtual void error (const char *msg, const XalanNode *sourceNode, const LocatorType *locator) const=0
    Report an error and throw an exception. More...
- virtual void warn (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report a warning. More...
- virtual void warn (const char *msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report a warning. More...
- virtual void message (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Output a message. More...
- virtual void message (const char *msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Output a message. More...

## Member Typedef Documentation

typedef std::vector< TopLevelArg > StylesheetExecutionContext::ParamVectorType<TopLevelArg>

typedef std::ostream StylesheetExecutionContext::StreamType

typedef XalanAutoPtr< XalanNumberFormat > StylesheetExecutionContext::XalanNumberFormatAutoPtr<XalanNumberFormat>

typedef size_t StylesheetExecutionContext::size_type

| Reimplemented from XPathExecutionContext.

## Member Enumeration Documentation

enum StylesheetExecutionContext::eCaseOrder

  | Enumeration values:
  eDefault |
  eLowerFirst |
  eUpperFirst |

enum StylesheetExecutionContext::eDummy

  | Enumeration values:
  eDefaultXMLIndentAmount |
  eDefaultHTMLIndentAmount |

enum StylesheetExecutionContext::eEscapeURLs

  | Enums to determine whether or not run-time escaping of URLs has been set. Enumeration values:
  eEscapeURLsDefault |
  eEscapeURLsNo |
  eEscapeURLsYes |

enum StylesheetExecutionContext::eOmitMETATag

  | Enums to determine whether or not run-time omission of the META tag has been set. Enumeration values:
  eOmitMETATagDefault |
  eOmitMETATagNo |
  eOmitMETATagYes |

## Constructor & Destructor Documentation

StylesheetExecutionContext::StylesheetExecutionContext ( | XObjectFactory * theXObjectFactory = 0 )`[explicit]`

StylesheetExecutionContext::~StylesheetExecutionContext ( | )`[virtual]`

## Member Function Documentation

void StylesheetExecutionContext::addResultAttribute ( | const XalanDOMString & aname,
| const XalanDOMChar * value )`[pure virtual]`

  | Add a result attribute to the list of pending attributes. Parameters:
  aname | name of attribute
  value | value of attribute
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::addResultAttribute ( | const XalanDOMString & aname,
| const XalanDOMString & value )`[pure virtual]`

  | Add a result attribute to the list of pending attributes. Parameters:
  aname | name of attribute
  value | value of attribute
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::beginConstruction ( | const KeyDeclaration & keyDeclaration )`[pure virtual]`

  | Add KeyDeclaration to construction list. Parameters:
  KeyDeclaration | being constructed
Reimplemented in StylesheetExecutionContextDefault.

FormatterToText * StylesheetExecutionContext::borrowFormatterToText ( | )`[pure virtual]`

| Borrow a cached FormatterToText instance. Returns: A pointer to the instance. Reimplemented in StylesheetExecutionContextDefault.

MutableNodeRefList * StylesheetExecutionContext::borrowMutableNodeRefList ( | )`[pure virtual]`

| Borrow a cached MutableNodeRefList instance. Returns: A pointer to the instance. Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

NodeSorter * StylesheetExecutionContext::borrowNodeSorter ( | )`[pure virtual]`

| Borrow a cached NodeSorter instance. Returns: A pointer to the instance. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::characters ( | const XObjectPtr & xobject )`[pure virtual]`

  | Send character data from an XObject to the result tree. Parameters:
  node | The xobject to send.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::characters ( | const XalanNode & node )`[pure virtual]`

  | Send character data from a node to the result tree. Parameters:
  node | The node to send.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::characters ( | const XalanDOMChar * ch,
| XalanDOMString::size_type start,
| XalanDOMString::size_type length )`[pure virtual]`

  | Receive notification of character data. Parameters:
  ch | pointer to characters from the XML document
  start | start position in the array
  length | number of characters to read from the array
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::charactersRaw ( | const XObjectPtr & xobject )`[pure virtual]`

  | Send raw character data from an XObject to the result tree. Parameters:
  node | The xobject to send.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::charactersRaw ( | const XalanNode & node )`[pure virtual]`

  | Send raw character data from a node to the result tree. Parameters:
  node | The node to send.
  length | number of characters to read from the array
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::charactersRaw ( | const XalanDOMChar * ch,
| XalanDOMString::size_type start,
| XalanDOMString::size_type length )`[pure virtual]`

  | Receive notification of character data. If available, when the disable-output-escaping attribute is used, output raw text without escaping. Parameters:
  ch | pointer to characters from the XML document
  start | start position in the array
  length | number of characters to read from the array
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::clearTopLevelParams ( | )`[pure virtual]`

| Reset the vector of top level parameters. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::cloneToResultTree ( | const XalanNode & node,
| XalanNode::NodeType nodeType,
| bool isLiteral,
| bool overrideStrip,
| bool shouldCloneAttributes,
| const ElemTemplateElement * styleNode )`[pure virtual]`

  | Clone a node to the result tree. Parameters:
  node | node to clone
  nodeType | the type of the node
  isLiteral | true if a literal element
  overrideStrip | false if white space stripping should be done
  shouldCloneAttributes | true if attributes should be cloned
  styleNode | the stylesheet element that generated the clone.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::cloneToResultTree ( | const XalanNode & node,
| const ElemTemplateElement * styleNode )`[pure virtual]`

  | Clone a node to the result tree. Parameters:
  node | node to clone
  styleNode | the stylesheet element that generated the clone.
Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::collationCompare ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| eCaseOrder theCaseOrder = eDefault )`[pure virtual]`

  | Compare two strings using the collation of the current locale. Parameters:
  theLHS | a string to compare
  theRHS | a string to compare
  theLocal | a string that specifies the locale
  theCaseOrder | the case order for the comparison
Returns: < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::collationCompare ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| eCaseOrder theCaseOrder = eDefault )`[pure virtual]`

  | Compare two strings using the collation of the current locale. Parameters:
  theLHS | a string to compare
  theRHS | a string to compare
  theCaseOrder | the case order for the comparison
Returns: < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::collationCompare ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS,
| const XalanDOMString & theLocale,
| eCaseOrder theCaseOrder = eDefault )`[pure virtual]`

  | Compare two strings using the collation of the supplied locale. Parameters:
  theLHS | a string to compare
  theRHS | a string to compare
  theLocal | a string that specifies the locale
  theCaseOrder | the case order for the comparison
Returns: < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::collationCompare ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS,
| eCaseOrder theCaseOrder = eDefault )`[pure virtual]`

  | Compare two strings using the collation of the current locale. Parameters:
  theLHS | a string to compare
  theRHS | a string to compare
  theCaseOrder | the case order for the comparison
Returns: < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::comment ( | const XalanDOMChar * data )`[pure virtual]`

  | Called when a Comment is to be constructed. Parameters:
  data | pointer to comment data
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::copyNamespaceAttributes ( | const XalanNode & src )`[pure virtual]`

  | Add namespace attributes for a node to the list of pending attributes. Parameters:
  src | source node
Reimplemented in StylesheetExecutionContextDefault.

XalanDocument * StylesheetExecutionContext::createDocument ( | ) const`[pure virtual]`

| Create a new empty document. Returns: new document Reimplemented in StylesheetExecutionContextDefault.

FormatterToDOM * StylesheetExecutionContext::createFormatterToDOM ( | XalanDocument * doc,
| XalanElement * elem )`[pure virtual]`

  | Construct a FormatterToDOM instance. it will add the DOM nodes to the document fragment. Parameters:
  doc | document for nodes
  docFrag | document fragment for nodes, default none
  currentElement | current element for nodes, default none
Reimplemented in StylesheetExecutionContextDefault.

FormatterToDOM * StylesheetExecutionContext::createFormatterToDOM ( | XalanDocument * doc,
| XalanDocumentFragment * docFrag,
| XalanElement * currentElement )`[pure virtual]`

  | Construct a FormatterToDOM instance. it will add the DOM nodes to the document fragment. Parameters:
  doc | document for nodes
  docFrag | document fragment for nodes, default none
  currentElement | current element for nodes, default none
Reimplemented in StylesheetExecutionContextDefault.

FormatterToHTML * StylesheetExecutionContext::createFormatterToHTML ( | Writer & writer,
| const XalanDOMString & encoding = XalanDOMString(),
| const XalanDOMString & mediaType = XalanDOMString(),
| const XalanDOMString & doctypeSystem = XalanDOMString(),
| const XalanDOMString & doctypePublic = XalanDOMString(),
| bool doIndent = true,
| int indent = eDefaultHTMLIndentAmount,
| bool escapeURLs = true,
| bool omitMetaTag = false )`[pure virtual]`

  | Create a new FormatterToHTML instance. The execution context owns the instance and will delete it when reset. Parameters:
  writer | character output stream to use
  encoding | character encoding for the writer
  mediaType | media type (MIME content type) of the data
  doctypeSystem | system identifier to be used in the document type declaration
  doctypePublic | public identifier to be used in the document type declaration
  doIndent | true if output is to be indented
  indent | number of spaces to indent at each nesting level
  escapeURLs | Whether or not to escape URLs according to the recommendation. The default is true.
  omitMetaTag | Whether or not to output a META TAG according to the recommendation. The default is false.
Returns: a pointer to the new instance. Reimplemented in StylesheetExecutionContextDefault.

FormatterToText * StylesheetExecutionContext::createFormatterToText ( | Writer & writer,
| const XalanDOMString & encoding )`[pure virtual]`

  | FormatterToText instance constructor. Parameters:
  writer | writer for output
  encoding | character encoding for the writer
Reimplemented in StylesheetExecutionContextDefault.

FormatterToXML * StylesheetExecutionContext::createFormatterToXML ( | Writer & writer,
| const XalanDOMString & version = XalanDOMString(),
| bool doIndent = false,
| int indent = eDefaultXMLIndentAmount,
| const XalanDOMString & encoding = XalanDOMString(),
| const XalanDOMString & mediaType = XalanDOMString(),
| const XalanDOMString & doctypeSystem = XalanDOMString(),
| const XalanDOMString & doctypePublic = XalanDOMString(),
| bool xmlDecl = true,
| const XalanDOMString & standalone = XalanDOMString() )`[pure virtual]`

  | Create a new FormatterToXML instance. The execution context owns the instance and will delete it when reset. Parameters:
  writer | character output stream to use
  version | version of the output method
  doIndent | true if output is to be indented
  indent | number of spaces to indent at each nesting level
  encoding | character encoding for the writer
  mediaType | media type (MIME content type) of the data
  doctypeSystem | system identifier to be used in the document type declaration
  doctypePublic | public identifier to be used in the document type declaration
  xmlDecl | true if the XSLT processor should output an XML declaration
  standalone | true if the XSLT processor should output a standalone document declaration
Returns: a pointer to the new instance. Reimplemented in StylesheetExecutionContextDefault.

const XPath * StylesheetExecutionContext::createMatchPattern ( | const XalanDOMString & str,
| const PrefixResolver & resolver )`[pure virtual]`

  | Create and initialize an xpath and return it. This is to be used to create an XPath that is only used during execution. Parameters:
  str | string expression for XPath evaluation
  resolver | resolver for namespace resolution
Returns: pointer to resulting XPath Reimplemented in StylesheetExecutionContextDefault.

MutableNodeRefList * StylesheetExecutionContext::createMutableNodeRefList ( | ) const`[pure virtual]`

| Create a MutableNodeRefList with the appropriate context. Returns: pointer to node list created Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

PrintWriter * StylesheetExecutionContext::createPrintWriter ( | StreamType & theStream )`[pure virtual]`

  | Create a PrintWriter using the provided ostream instance. Parameters:
  theStream | The output stream for the PrintWriter.
Returns: The new instance. Reimplemented in StylesheetExecutionContextDefault.

PrintWriter * StylesheetExecutionContext::createPrintWriter ( | const XalanDOMString & theFileName,
| const XalanDOMString & theEncoding )`[pure virtual]`

  | Create a PrintWriter. Create an appropriate output stream using the provided file name and encoding. Parameters:
  theFileName | The file name for the output stream
  theEncoding | The encoding for the output stream
Returns: The new instance. Reimplemented in StylesheetExecutionContextDefault.

PrintWriter * StylesheetExecutionContext::createPrintWriter ( | XalanOutputStream * theTextOutputStream )`[pure virtual]`

  | Create a PrintWriter for the provided stream. Parameters:
  theTextOutputStream | The output stream for the PrintWriter.
Returns: The new instance. Reimplemented in StylesheetExecutionContextDefault.

const XObjectPtr StylesheetExecutionContext::createVariable ( | const ElemTemplateElement & templateChild,
| XalanNode * sourceNode )`[pure virtual]`

  | Create an ResultTreeFragment as a variable and push it on to the stack with the current context. Parameters:
  templateChild | result tree fragment to use.
  sourceNode | source node
Returns: a pointer to the XObject result Reimplemented in StylesheetExecutionContextDefault.

const XObjectPtr StylesheetExecutionContext::createVariable ( | const XPath & xpath,
| XalanNode * contextNode,
| const PrefixResolver & resolver )`[pure virtual]`

  | Execute the supplied XPath and and create a variable in the current context. Parameters:
  str | string expression for XPath evaluation
  contextNode | current node in the source tree
  resolver | resolver for namespace resolution
Returns: a pointer to the XObject result Reimplemented in StylesheetExecutionContextDefault.

const XObjectPtr StylesheetExecutionContext::createXResultTreeFrag ( | const ElemTemplateElement & templateChild,
| XalanNode * sourceNode )`[pure virtual]`

  | Create an XObject that represents a Result tree fragment. Parameters:
  templateChild | result tree fragment to use.
  sourceNode | source node
Returns: XObject instance Reimplemented in StylesheetExecutionContextDefault.

XalanNumberFormatAutoPtr StylesheetExecutionContext::createXalanNumberFormat ( | )`[pure virtual]`

| Create a new XalanNumberFormat instance. Returns: an XalanNumberFormatAutoPtr that owns a new XalanNumberFormat instance. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::diag ( | const XalanDOMString & theString )`[pure virtual]`

  | Print a diagnostics string to the output device. Parameters:
  theString | string to print
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::displayDuration ( | const XalanDOMString & theMessage,
| const void * theKey )`[pure virtual]`

  | Display the duration since pushTime was called. Parameters:
  theMessage | message to display
  theKey | key for which duration is displayed
Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::doDiagnosticsOutput ( | ) const`[pure virtual]`

| Whether diagnostic output is to be generated. Returns: true for diagnostics output Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::elementAvailable ( | const XalanDOMString & theName,
| const LocatorType * locator ) const`[pure virtual]`

  | Determine if an external element is available by resolving a string to a QName. Parameters:
  theName | The name of the element
  locator | A LocatorType instance for error reporting
Returns: whether the given element is available or not Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::elementAvailable ( | const XalanQName & theQName ) const`[pure virtual]`

  | Determine if an external element is available. Parameters:
  theQName | The QName of the element
Returns: whether the given element is available or not Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::endConstruction ( | const KeyDeclaration & keyDeclaration )`[pure virtual]`

  | Remove KeyDeclaration from construction list. Parameters:
  constructed | KeyDeclaration
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::endDocument ( | )`[pure virtual]`

  | Receive notification of the end of a document. The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input. Exceptions:
  SAXException |
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::endElement ( | const XalanDOMChar * name )`[pure virtual]`

  | Receive notification of the end of an element. Parameters:
  name | element type name
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::error ( | const char * msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::error ( | const XalanDOMString & msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::error ( | const char * msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  styleNode | The stylesheet node were the error occurred.
  sourceNode | The source node where the error occurred. May be 0.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::error ( | const XalanDOMString & msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  styleNode | The stylesheet node were the error occurred.
  sourceNode | The source node where the error occurred. May be 0.
Reimplemented in StylesheetExecutionContextDefault.

const XObjectPtr StylesheetExecutionContext::extFunction ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| XalanNode * context,
| const XObjectArgVectorType & argVec,
| const LocatorType * locator )`[pure virtual]`

  | Handle an extension function. Parameters:
  theNamespace | namespace of function
  functionName | extension function name
  context | The context node
  argVec | vector of arguments to function
  locator | A LocatorType instance for error reporting
Returns: pointer to XObject result Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::findOnElementRecursionStack ( | const ElemTemplateElement * theElement ) const`[pure virtual]`

| Determine if an element is on the recursion stack. Returns: true if element on stack Reimplemented in StylesheetExecutionContextDefault.

XalanDOMString StylesheetExecutionContext::findURIFromDoc ( | const XalanDocument * owner ) const`[pure virtual]`

  | Given a DOM Document, tell what URI was used to parse it. Needed for relative resolution. Parameters:
  owner | source document
Returns: document URI Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::fireGenerateEvent ( | const GenerateEvent & ge )`[pure virtual]`

  | Fire a generate event. Parameters:
  ge | generate event to fire
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::fireSelectEvent ( | const SelectionEvent & se )`[pure virtual]`

  | Fire a selection event. Parameters:
  se | selection event to fire
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::fireTraceEvent ( | const TracerEvent & te )`[pure virtual]`

  | Fire a trace event. Parameters:
  te | trace event to fire
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::flushPending ( | )`[pure virtual]`

| Flush the pending element. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::functionAvailable ( | const XalanDOMString & theName,
| const LocatorType * locator ) const`[pure virtual]`

  | Determine if a function is available. Parameters:
  theName | The name of the function
  locator | A LocatorType instance for error reporting
Returns: whether the function is available or not Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::functionAvailable ( | const XalanQName & theQName ) const`[pure virtual]`

  | Determine if a function is available. Parameters:
  theQName | The QName of the function
Returns: whether the function is available or not Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

XalanDOMString & StylesheetExecutionContext::getCachedString ( | )`[pure virtual]`

| Get a cached string for temporary use. Returns: A reference to the string Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

const NodeRefListBase & StylesheetExecutionContext::getContextNodeList ( | ) const`[pure virtual]`

| Retrieve node list for current context. Returns: node list Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

size_type StylesheetExecutionContext::getContextNodeListLength ( | ) const`[pure virtual]`

| Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

size_type StylesheetExecutionContext::getContextNodeListPosition ( | const XalanNode & contextNode ) const`[pure virtual]`

| Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::getCopyTextNodesOnly ( | ) const`[pure virtual]`

| If this function returns true, only text nodes can be copied to the result tree. Returns: true or false Reimplemented in StylesheetExecutionContextDefault.

CountersTable & StylesheetExecutionContext::getCountersTable ( | )`[pure virtual]`

| Get the counters table, which is a table of cached results that is used by ElemNumber. Returns: A reference to the counters table. Reimplemented in StylesheetExecutionContextDefault.

const XalanQName * StylesheetExecutionContext::getCurrentMode ( | ) const`[pure virtual]`

| Retrieve the current mode. Returns: QName for mode Reimplemented in StylesheetExecutionContextDefault.

XalanNode * StylesheetExecutionContext::getCurrentNode ( | ) const`[pure virtual]`

| Retrieve the node currently being executed. Returns: current node Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::getCurrentStackFrameIndex ( | ) const`[pure virtual]`

| Get the top of the stack frame from where a search for a variable or param should take place. Returns: current value of index Reimplemented in StylesheetExecutionContextDefault.

const ElemTemplate * StylesheetExecutionContext::getCurrentTemplate ( | ) const`[pure virtual]`

| Retrieve the current template. Returns: The current template instance or null if there is no current template Reimplemented in StylesheetExecutionContextDefault.

const XalanDecimalFormatSymbols * StylesheetExecutionContext::getDecimalFormatSymbols ( | const XalanQName & qname )`[pure virtual]`

  | Retrieve the XalanDecimalFormatSymbols instance associated with the name. Parameters:
  qname | the QName for the lookup
Returns: a pointer to the matching instance, or 0 if none was found Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

eEscapeURLs StylesheetExecutionContext::getEscapeURLs ( | ) const`[pure virtual]`

| Get the value for run-time escaping of URLs. This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet. Returns: The value of the enum Reimplemented in StylesheetExecutionContextDefault.

FormatterListener * StylesheetExecutionContext::getFormatterListener ( | ) const`[pure virtual]`

| Get the current formatter listener. Returns: pointer to formatter listener Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::getGlobalStackFrameIndex ( | ) const`[pure virtual]`

| Get the top of the global stack frame. Returns: current value of index Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::getInConstruction ( | const KeyDeclaration & keyDeclaration ) const`[pure virtual]`

  | Determine if a KeyDeclaration is being constructed. Parameters:
  The | KeyDeclaration in question.
Returns: true if being constructed Reimplemented in StylesheetExecutionContextDefault.

int StylesheetExecutionContext::getIndent ( | ) const`[pure virtual]`

| Retrieve the current number of spaces to indent. Returns: number of spaces Reimplemented in StylesheetExecutionContextDefault.

const XalanDOMString * StylesheetExecutionContext::getNamespaceForPrefix ( | const XalanDOMString & prefix ) const`[pure virtual]`

  | Retrieve the URI corresponding to a namespace prefix. Parameters:
  prefix | prefix for a namespace
Returns: URI corresponding to namespace Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::getNodeSetByKey ( | XalanDocument * doc,
| const XalanDOMString & name,
| const XalanDOMString & ref,
| const LocatorType * locator,
| MutableNodeRefList & nodelist )`[pure virtual]`

  | Given a valid element key, return the corresponding node list. Parameters:
  doc | source document
  name | name of the key, which must match the 'name' attribute on xsl:key. Will be resolved to a qname using the provided resolver.
  ref | value that must match the value found by the 'match' attribute on xsl:key
  locator | The LocatorType to use for error reporting. Can be 0.
  nodelist | A node list to contain the nodes found
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::getNodeSetByKey ( | XalanDocument * doc,
| const XalanQName & qname,
| const XalanDOMString & ref,
| MutableNodeRefList & nodelist )`[pure virtual]`

  | Given a valid element key, return the corresponding node list. Parameters:
  doc | source document
  name | qname of the key, which must match the 'name' attribute on xsl:key
  ref | value that must match the value found by the 'match' attribute on xsl:key
  nodelist | A node list to contain the nodes found
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

eOmitMETATag StylesheetExecutionContext::getOmitMETATag ( | ) const`[pure virtual]`

| Get the value for run-time omission of URLs. This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet. Returns: The value of the enum Reimplemented in StylesheetExecutionContextDefault.

const XObjectPtr StylesheetExecutionContext::getParamVariable ( | const XalanQName & theName )`[pure virtual]`

  | Given a name, return a string representing the value, but don't look in the global space. Parameters:
  theName | name of variable
Returns: pointer to XObject for variable Reimplemented in StylesheetExecutionContextDefault.

const PrefixResolver * StylesheetExecutionContext::getPrefixResolver ( | ) const`[pure virtual]`

| Retrieve the resolver for namespaces. Returns: object for namespace resolution Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::getQuietConflictWarnings ( | ) const`[pure virtual]`

| Determine whether conflicts should be reported. Returns: true if conflicts should not be warned Reimplemented in StylesheetExecutionContextDefault.

const XalanDOMString * StylesheetExecutionContext::getResultNamespaceForPrefix ( | const XalanDOMString & thePrefix ) const`[pure virtual]`

  | Retrieve the result namespace corresponding to a prefix. Parameters:
  thePrefix | prefix for namespace
Returns: A pointer to a string containing the namespace, or 0 if the prefix is not mapped. Reimplemented in StylesheetExecutionContextDefault.

const XalanDOMString * StylesheetExecutionContext::getResultPrefixForNamespace ( | const XalanDOMString & theNamespace ) const`[pure virtual]`

  | Retrieve the result prefix corresponding to a namespace. Parameters:
  theNamespace | namespace for prefix
Returns: A pointer to a string containing the prefix, or 0 if the namespace is not mapped. Reimplemented in StylesheetExecutionContextDefault.

XalanNode * StylesheetExecutionContext::getRootDocument ( | ) const`[pure virtual]`

| Retrieve root document for stylesheet. Note that this does not have to be a XalanDocument -- it can be any node in a document. Returns: root document Reimplemented in StylesheetExecutionContextDefault.

XalanDocument * StylesheetExecutionContext::getSourceDocument ( | const XalanDOMString & theURI ) const`[pure virtual]`

| Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::getThrowFoundIndex ( | ) const`[pure virtual]`

| Tells if FoundIndex should be thrown if index is found. This is an optimization for match patterns, and is used internally by the XPath engine. Returns: true to throw FoundIndex Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

size_type StylesheetExecutionContext::getTraceListeners ( | ) const`[pure virtual]`

| Determine the number of trace listeners. Returns: number of listeners Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::getTraceSelects ( | ) const`[pure virtual]`

| If this is set to true, simple traces of template calls are made. Returns: true if traces made Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::getUniqueNamespaceValue ( | XalanDOMString & theValue ) const`[pure virtual]`

  | Generate a random namespace prefix guaranteed to be unique. Parameters:
  theValue | A string for returning the new prefix
Reimplemented in StylesheetExecutionContextDefault.

XalanDOMString StylesheetExecutionContext::getUniqueNamespaceValue ( | ) const`[pure virtual]`

| Generate a random namespace prefix guaranteed to be unique. Returns: unique namespace prefix Reimplemented in StylesheetExecutionContextDefault.

const XalanDOMString & StylesheetExecutionContext::getUnparsedEntityURI ( | const XalanDOMString & theName,
| const XalanDocument & theDocument ) const`[pure virtual]`

  | The getUnparsedEntityURI function returns the URI of the unparsed entity with the specified name in the same document as the context node (see [3.3 Unparsed Entities]). It returns the empty string if there is no such entity. Parameters:
  theName | name of entity
  theDocument | document containing entity
Returns: URI for the entity Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

const XObjectPtr StylesheetExecutionContext::getVariable ( | const XalanQName & name,
| const LocatorType * locator = 0 )`[pure virtual]`

  | Given a name, locate a variable in the current context, and return a pointer to the object. Parameters:
  theName | name of variable
Returns: pointer to an XObject if the variable was found, 0 if it was not Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

const XalanDOMString & StylesheetExecutionContext::getXSLNameSpaceURL ( | ) const`[pure virtual]`

| Determine the full XSLT Namespace URI. Returns: Xalan namespace URI Reimplemented in StylesheetExecutionContextDefault.

const XalanDOMString & StylesheetExecutionContext::getXalanXSLNameSpaceURL ( | ) const`[pure virtual]`

| Special Xalan namespace for built-in extensions. Returns: Xalan namespace for extensions Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::isElementPending ( | ) const`[pure virtual]`

| See if there is an element pending. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::isNodeAfter ( | const XalanNode & node1,
| const XalanNode & node2 ) const`[pure virtual]`

  | Determine if a node is after another node, in document order. Parameters:
  node1 | The first node
  node2 | The second node
Returns: true if node1 one is after node2, or false if it is not. Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::isPendingResultPrefix ( | const XalanDOMString & thePrefix )`[pure virtual]`

  | Determine whether or not a prefix is in use on the pending element or the pending attributes. Parameters:
  thePrefix | prefix for namespace
Returns: true if the prefix is in use, false if not. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::message ( | const char * msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Output a message. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::message ( | const XalanDOMString & msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Output a message. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::message ( | const char * msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[pure virtual]`

  | Report a message. Parameters:
  msg | The text of the message.
  styleNode | The stylesheet node were the message occurred.
  sourceNode | The source node where the message occurred. May be 0.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::message ( | const XalanDOMString & msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[pure virtual]`

  | Report a message. Parameters:
  msg | The text of the message.
  styleNode | The stylesheet node were the message occurred.
  sourceNode | The source node where the message occurred. May be 0.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::outputResultTreeFragment ( | const XObject & theTree,
| const ElemTemplateElement * styleNode )`[pure virtual]`

  | Given a result tree fragment, walk the tree and output it to the result stream. Parameters:
  theTree | result tree fragment
  styleNode | the stylesheet element that generate the fragment.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::outputToResultTree ( | const XObject & xobj,
| const ElemTemplateElement * styleNode )`[pure virtual]`

  | Output an object to the result tree by doing the right conversions. This is public for access by extensions. Parameters:
  obj | the XObject to output
  styleNode | the stylesheet element that generate the fragment.
Reimplemented in StylesheetExecutionContextDefault.

XalanDocument * StylesheetExecutionContext::parseXML ( | const XalanDOMString & urlString,
| const XalanDOMString & base ) const`[pure virtual]`

  | Provides support for XML parsing service. Parameters:
  urlString | location of the XML
  base | base location for URI
Returns: parsed document Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::popContextMarker ( | )`[pure virtual]`

| Pop the current context from the current context stack. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::popElementFrame ( | const ElemTemplateElement * elem )`[pure virtual]`

  | Pop a frame marker for an element. Parameters:
  elem | the element
Reimplemented in StylesheetExecutionContextDefault.

const ElemTemplateElement * StylesheetExecutionContext::popElementRecursionStack ( | )`[pure virtual]`

| Pop an element off the recursion stack. Returns: pointer to element popped Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::popOutputContext ( | )`[pure virtual]`

| Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::processingInstruction ( | const XalanDOMChar * target,
| const XalanDOMChar * data )`[pure virtual]`

  | Receive notification of a processing instruction. Parameters:
  target | processing instruction target
  data | processing instruction data, or null if none was supplied
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushContextMarker ( | )`[pure virtual]`

| Push a context marker onto the stack to let us know when to stop searching for a var. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushElementFrame ( | const ElemTemplateElement * elem )`[pure virtual]`

  | Push a frame marker for an element. Parameters:
  elem | the element
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushOnElementRecursionStack ( | const ElemTemplateElement * theElement )`[pure virtual]`

  | Push an element onto the recursion stack. Parameters:
  theElement | pointer to element to push
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushOutputContext ( | FormatterListener * flistener = 0 )`[pure virtual]`

| Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushParams ( | const ElemTemplateElement & xslCallTemplateElement,
| XalanNode * sourceNode,
| const ElemTemplateElement * targetTemplate )`[pure virtual]`

  | Given a template, search for the arguments and push them on the stack. Also, push default arguments on the stack. Parameters:
  xslCallTemplateElement | "call-template" element
  sourceNode | source node
  targetTemplate | target template
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushTime ( | const void * theKey )`[pure virtual]`

  | Mark the time, so that displayDuration can later display the elapsed clock ticks. Parameters:
  theKey | element to push
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushTopLevelVariables ( | const ParamVectorType & topLevelParams )`[pure virtual]`

  | Set a list of top level variables in the specified execution context stylesheet. Parameters:
  topLevelParams | list of top level parameters
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushVariable ( | const XalanQName & name,
| const ElemVariable * var,
| const ElemTemplateElement * element )`[pure virtual]`

  | Push a named variable onto the processor variable stack The variable will be evaluated when first referenced. Parameters:
  name | name of variable
  var | pointer to ElemVariable instance
  element | element marker for variable
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushVariable ( | const XalanQName & name,
| const XObjectPtr val,
| const ElemTemplateElement * element )`[pure virtual]`

  | Push a named variable onto the variables stack. The variable has already been evaluated. Parameters:
  name | name of variable
  val | pointer to XObject value
  element | element marker for variable
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushVariable ( | const XalanQName & name,
| const ElemTemplateElement * element,
| const ElemTemplateElement & templateChild,
| XalanNode * sourceNode )`[pure virtual]`

  | Create an ResultTreeFragment as a variable and push it on to the stack with the current context. Parameters:
  name | name of variable
  element | element marker for variable
  templateChild | result tree fragment to use.
  sourceNode | source node
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushVariable ( | const XalanQName & name,
| const ElemTemplateElement * element,
| const XPath & xpath,
| XalanNode * contextNode,
| const PrefixResolver & resolver )`[pure virtual]`

  | Execute the supplied XPath and push the result as a variable in the current context. Parameters:
  name | name of variable
  element | element marker for variable
  str | string expression for XPath evaluation
  contextNode | current node in the source tree
  resolver | resolver for namespace resolution
Returns: nothing Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::pushVariable ( | const XalanQName & name,
| const ElemTemplateElement * element,
| const XalanDOMString & str,
| XalanNode * contextNode,
| const PrefixResolver & resolver )`[pure virtual]`

  | Execute an XPath using the provided expression, and push the result as a variable in the context of the supplied element. Parameters:
  name | name of variable
  element | element marker for variable
  str | string expression for XPath evaluation
  contextNode | current node in the source tree
  resolver | resolver for namespace resolution
Returns: nothing Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::releaseCachedString ( | XalanDOMString & theString )`[pure virtual]`

  | Return a cached string. Parameters:
  theString | The string to release.
Returns: true if the string was released successfully. Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::replacePendingAttribute ( | const XalanDOMChar * theName,
| const XalanDOMChar * theNewType,
| const XalanDOMChar * theNewValue )`[pure virtual]`

  | Replace the contents of a pending attribute. Parameters:
  theName | name of attribute
  theNewType | type of attribute
  theNewValue | new value of attribute
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::reset ( | )`[pure virtual]`

| Reset the instance. This must be called before another execution is attempted. Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::resolveTopLevelParams ( | )`[pure virtual]`

| Resolve the params that were pushed by the caller. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::returnFormatterToText ( | FormatterToText * theFormatter )`[pure virtual]`

  | Return a previously borrowed FormatterToText instance. Parameters:
  theFormatter | A pointer the to previously borrowed instance.
Returns: true if the instance was previously borrowed, false if not. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::returnMutableNodeRefList ( | MutableNodeRefList * theList )`[pure virtual]`

  | Return a previously borrowed MutableNodeRefList instance. Parameters:
  theList | A pointer the to previously borrowed instance.
Returns: true if the list was borrowed (at therefore, destroyed), false if not. Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::returnNodeSorter ( | NodeSorter * theSorter )`[pure virtual]`

  | Return a previously borrowed NodeSorter instance. Parameters:
  theSorter | A pointer the to previously borrowed instance.
Returns: true if the instance was previously borrowed, false if not. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::returnXPath ( | const XPath * xpath )`[pure virtual]`

  | Return the XPath created by createMatchPattern(). Parameters:
  xpath | The XPath to return.
Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::returnXResultTreeFrag ( | XResultTreeFrag * theXResultTreeFrag )`[pure virtual]`

  | This is a hook that XResultTreeFrag instances (which are reference counted), can notify the owning StylesheetExecutionContext instance when they are dereferenced and can be cleaned up. Parameters:
  theXResultTreeFrag | The instance that is being returned.
Returns: true if the XResultTreeFrag instance belongs to the execution context. false if not. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setContextNodeList ( | const NodeRefListBase & theList )`[pure virtual]`

  | Set node list for current context. Parameters:
  theList | new node list
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setCopyTextNodesOnly ( | bool fValue )`[pure virtual]`

  | Set the flag that determines if only text nodes can be copied to the result tree. Parameters:
  fValue | The value of the flag
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setCurrentMode ( | const XalanQName * theMode )`[pure virtual]`

  | Set the current mode. Parameters:
  theMode | QName for mode
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setCurrentNode ( | XalanNode * theCurrentNode )`[pure virtual]`

  | Change the node currently being executed. Parameters:
  theCurrentNode | new current node
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setCurrentStackFrameIndex ( | int currentStackFrameIndex = -1 )`[pure virtual]`

  | Set the top of the stack frame from where a search for a variable or param should take place. Parameters:
  currentStackFrameIndex | new value of index
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setCurrentTemplate ( | const ElemTemplate * theTemplate )`[pure virtual]`

  | Set the current template. Parameters:
  theTemplate | The current template instance
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setEscapeURLs ( | eEscapeURLs value )`[pure virtual]`

  | Set the value for run-time escaping of URLs. This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet. Parameters:
  value | The value of the enum
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setFormatterListener ( | FormatterListener * flistener )`[pure virtual]`

  | Set the current formatter listener. Parameters:
  flistener | pointer to new formatter listener
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setIndent ( | int indentAmount )`[pure virtual]`

  | Set the current number of spaces to indent. Parameters:
  indentAmount | The number of spaces to indent. Use -1 for the default amount.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setOmitMETATag ( | eOmitMETATag value )`[pure virtual]`

  | Get the value for run-time omission of URLs. This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet. Parameters:
  value | The value of the enum
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setPrefixResolver ( | const PrefixResolver * thePrefixResolver )`[pure virtual]`

  | Change the resolver for namespaces. Parameters:
  thePrefixResolver | new object for namespace resolution
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setRootDocument ( | XalanNode * theDocument )`[pure virtual]`

  | Set root document for stylesheet. Note that this does not have to be a XalanDocument -- it can be any node in a document. Parameters:
  theDocument | root document
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setSourceDocument ( | const XalanDOMString & theURI,
| XalanDocument * theDocument )`[pure virtual]`

  | Associate a document with a given URI. Parameters:
  theURI | document URI
  theDocument | source document
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setStylesheetRoot ( | const StylesheetRoot * theStylesheet )`[pure virtual]`

  | Set root stylesheet for stylesheet. Parameters:
  theStylesheet | root stylesheet
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::setThrowFoundIndex ( | bool fThrow )`[pure virtual]`

  | Changes whether FoundIndex should be thrown if index is found. This is an optimization for match patterns, and is used internally by the XPath engine. Parameters:
  fThrow | true to throw FoundIndex
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

bool StylesheetExecutionContext::shouldStripSourceNode ( | const XalanNode & node )`[pure virtual]`

  | Tells, through the combination of the default-space attribute on xsl:stylesheet, xsl:strip-space, xsl:preserve-space, and the xml:space attribute, whether or not extra whitespace should be stripped from the node. Literal elements from template elements should not be tested with this function. Parameters:
  textNode | text node from the source tree
Returns: true if the text node should be stripped of extra whitespace Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::startDocument ( | )`[pure virtual]`

  | Receive notification of the beginning of a document. The SAX parser will invoke this method only once, before any other methods in this interface or in DTDHandler (except for setDocumentLocator). Exceptions:
  SAXException |
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::startElement ( | const XalanDOMChar * name )`[pure virtual]`

  | Receive notification of the beginning of an element. Parameters:
  name | element type name
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::traceSelect ( | const ElemTemplateElement & theStylesheetElement,
| const NodeRefListBase & nl,
| const XPath * xpath )`[pure virtual]`

  | Compose a diagnostic trace of the current selection. Parameters:
  theStylesheetElement | The executing stylesheet element
  nl | The list of selected nodes
  xpath | A pointer to the XPath which generated the list of nodes, if any.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::warn ( | const char * msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::warn ( | const XalanDOMString & msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.
Reimplemented from XPathExecutionContext. Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::warn ( | const char * msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  styleNode | The stylesheet node were the warning occurred.
  sourceNode | The source node where the warning occurred. May be 0.
Reimplemented in StylesheetExecutionContextDefault.

void StylesheetExecutionContext::warn ( | const XalanDOMString & msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  styleNode | The stylesheet node were the warning occurred.
  sourceNode | The source node where the warning occurred. May be 0.
Reimplemented in StylesheetExecutionContextDefault.

The documentation for this class was generated from the following file:

- StylesheetExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.